> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/settings.md).

# Settings

This endpoint retrieves account settings for a given account.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/settings
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/account/rf1BiGeXwwQoi8Z2ueFYTEXSwuJYfV2Jpn/settings
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "requireDestinationTag": true,
  "disableMasterKey": true,
  "defaultRipple": true,
  "emailHash": "98B4375E1D753E5B91627516F6D70977",
  "messageKey": "0000000000000000000000070000000300",
  "domain": "mduo13.com",
  "transferRate": 4.294967295,
  "regularKey": "rD9iJmieYHn8jTtPjwwkW2Wm9sVDvPXLoJ",
  "signers": {
    "threshold": 2,
    "weights": [
      {
        "address": "rsA2LpzuawewSBQXkiju3YQTMzW13pAAdW",
        "weight": 1
      },
      {
        "address": "ra5nK24KXen9AHvsdFTKHSANinZseWnPcX",
        "weight": 1
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## Response format

Additional properties may be available in the response based on rippled `account_info` command and AccountRoot ledger object.

{% embed url="<https://xrpl.org/account_info.html#response-format>" %}

{% embed url="<https://xrpl.org/accountroot.html>" %}
